using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace SkuWHRedundancyService
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("进入 仓库冗余报表");
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{

        //    var service = new Services();
        //    service.SaveRedundancy(DateTime.Now.AddDays(-1));
        //}
    }
}
